import { Observable } from 'rxjs/Observable';
import { ReduxStateConstructor } from './constructor';
export declare class ReduxStateSelector {
    private expression;
    private context;
    private static readonly DELIMITER;
    constructor(expression: string, context?: ReduxStateConstructor);
    asObservable<S>(): Observable<S>;
    getValueFromState<T, S = {}>(state: S): T;
    private static isPropertyKeyValid(propertyKey);
}
